public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Action-REST/
Date: Thu, 19 Jul 2012 07:52:43 +0000 (UTC)	[thread overview]
Message-ID: <1342680717.ec874a4ab69fac9bb8ad502e4d7b633435672eb0.kent@gentoo> (raw)

commit:     ec874a4ab69fac9bb8ad502e4d7b633435672eb0
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Jul 19 06:51:57 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Jul 19 06:51:57 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=ec874a4a

[newversion] Catalyst-Action-REST-1.50.0

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)

---
 .../Catalyst-Action-REST-1.50.0.ebuild             |   74 ++++++++++++++++++++
 dev-perl/Catalyst-Action-REST/ChangeLog            |    6 ++
 2 files changed, 80 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Catalyst-Action-REST/Catalyst-Action-REST-1.50.0.ebuild b/dev-perl/Catalyst-Action-REST/Catalyst-Action-REST-1.50.0.ebuild
new file mode 100644
index 0000000..2be2b48
--- /dev/null
+++ b/dev-perl/Catalyst-Action-REST/Catalyst-Action-REST-1.50.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=BOBTFISH
+MODULE_VERSION=1.05
+inherit perl-module
+
+DESCRIPTION='Automated REST Method Dispatching'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+}
+perl_meta_build() {
+	# ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+	# Test::More 0.88 ( 0.880.0 )
+	echo \>=virtual/perl-Test-Simple-0.88
+}
+perl_meta_runtime() {
+	# Catalyst::Runtime 5.80030 ( 5.800.300 )
+	echo \>=dev-perl/Catalyst-Runtime-5.800.300
+	# Class::Inspector 1.13 ( 1.130.0 )
+	echo \>=dev-perl/Class-Inspector-1.130.0
+	# Config::General
+	echo dev-perl/config-general
+	# Data::Serializer 0.36 ( 0.360.0 )
+	echo \>=dev-perl/Data-Serializer-0.360.0
+	# Data::Taxi
+	echo dev-perl/Data-Taxi
+	# FreezeThaw
+	echo dev-perl/FreezeThaw
+	# HTML::Parser
+	echo dev-perl/HTML-Parser
+	# JSON 2.12 ( 2.120.0 )
+	echo \>=dev-perl/JSON-2.120.0
+	# JSON::XS 2.2222 ( 2.222.200 )
+	echo \>=dev-perl/JSON-XS-2.222.200
+	# LWP::UserAgent 2.033 ( 2.33.0 )
+	echo \>=dev-perl/libwww-perl-2.33.0
+	# MRO::Compat 0.10 ( 0.100.0 )
+	echo \>=dev-perl/MRO-Compat-0.100.0
+	# Module::Pluggable::Object
+	echo virtual/perl-Module-Pluggable
+	# Moose 1.03 ( 1.30.0 )
+	echo \>=dev-perl/Moose-1.30.0
+	# PHP::Serialization
+	echo dev-perl/PHP-Serialization
+	# Params::Validate 0.76 ( 0.760.0 )
+	echo \>=dev-perl/Params-Validate-0.760.0
+	# URI::Find
+	echo dev-perl/URI-Find
+	# XML::Simple
+	echo dev-perl/XML-Simple
+	# YAML::Syck 0.67 ( 0.670.0 )
+	echo \>=dev-perl/YAML-Syck-0.67
+	# namespace::autoclean
+	echo dev-perl/namespace-autoclean
+	# perl v5.8.1 ( 5.8.1 )
+	echo \>=dev-lang/perl-5.8.1
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Catalyst-Action-REST/ChangeLog b/dev-perl/Catalyst-Action-REST/ChangeLog
index b066853..f98e26e 100644
--- a/dev-perl/Catalyst-Action-REST/ChangeLog
+++ b/dev-perl/Catalyst-Action-REST/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Catalyst-Action-REST-1.50.0 (19 Jul 2012)
+
+  19 Jul 2012; Kent Fredric <kentfredric@gmail.com>
+  +Catalyst-Action-REST-1.50.0.ebuild:
+  Version Bump
+
 *Catalyst-Action-REST-1.20.0 (08 Jun 2012)
 
   08 Jun 2012; Kent Fredric <kentfredric@gmail.com>



             reply	other threads:[~2012-07-19  7:54 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-07-19  7:52 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-06-13 15:21 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Action-REST/ Kent Fredric
2015-04-02 23:30 Kent Fredric
2015-03-26 22:05 Kent Fredric
2013-06-26  7:42 Kent Fredric
2013-05-04 21:21 Kent Fredric
2013-05-03 12:51 Kent Fredric
2013-05-03  4:12 Kent Fredric
2013-04-28 22:52 Kent Fredric
2013-04-28 22:52 Kent Fredric
2013-02-05 12:24 Kent Fredric
2013-02-05 12:24 Kent Fredric
2012-06-08 20:39 Kent Fredric
2012-04-14 22:12 Kent Fredric
2012-02-28 21:55 Kent Fredric
2012-02-22 22:30 Kent Fredric
2012-02-11 13:45 Kent Fredric
2011-10-31  8:46 Kent Fredric
2011-08-26 11:46 Kent Fredric
2011-06-29  1:24 Kent Fredric
2011-06-29  1:24 Kent Fredric
2011-02-27 19:11 Torsten Veller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1342680717.ec874a4ab69fac9bb8ad502e4d7b633435672eb0.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox